Delete Stored Payment Method

Deletes a stored payment method associated with a payer. This operation is useful for removing outdated or unused payment methods, ensuring that only valid and current payment options are available for transactions.

Path parameters

payerIdstringRequiredformat: "uuid"

The unique identifier for the payer. See the Payer ID guide.

paymentMethodTokenstringRequired
The token representing the payment method to delete.

Response

Payment method deleted successfully.
analyticsIdstringOptional
Unique analytics identifier corresponding to a payment method.
createdAtdatetimeOptional

Creation date & time of the object (UTC).

customerIdstringOptional
The ID representing the customer.
defaultbooleanOptional
Whether or not this payment method is the default.
deletedbooleanOptional
Whether or not this object has been revoked.
deletedAtdatetimeOptional

Date & time when this object was revoked (UTC).

descriptionstringOptional
A friendly description given by the user.
isVerifiedbooleanOptional
Whether or not this payment method was verified.
paymentMethodDataobjectOptional
paymentMethodTypestringOptional
Payment method type associated with a token.
tokenstringOptional
The vaulted payment method token.
tokenTypestringOptional

Type of the token (e.g., MULTI_USE).

Errors

400
Bad Request Error
404
Not Found Error